:root {
  --navy: #14264a;
  --navy-dark: #0b1633;
  --blue: #394782;
  --violet: #bc54eb;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
body {
  font-family: "Outfit", sans-serif;
  background: #ffffff;
  color: #394782;
  margin: 0 auto;
  text-shadow:
    0 0 1px rgb(255, 255, 255),
    0 0 4px rgba(255, 255, 255, 0.692);
}

img {
  display: block;
  max-width: 100%;
}

.banerTop {
  max-width: 100dvw !important;
  position: absolute;
  width: 100%;

  left: 0;
  /* -webkit-mask-image: linear-gradient(to bottom, black 60%, transparent 100%);
  mask-image: linear-gradient(to bottom, black 60%, transparent 100%); */
}

/* ===== HERO ===== */
.hero {
  position: relative;
  min-height: 100vh;
  padding: 20px 20px 0;
  padding-top: 0;
}

.hero::after {
  content: "";
  position: absolute;
  inset: 0;
  pointer-events: none;
}

.hero-inner {
  position: relative;
  z-index: 2;
  max-width: 1200px;
  margin: auto;
  text-align: center;
}

.hero-logo {
  display: flex;
  align-items: center;
  gap: 10px;
  justify-content: flex-start;
  margin-bottom: 120px;
}

.hero-logo img {
  height: 80px;
}

h1 {
  margin-top: 600px;
  font-size: 5em;
  font-weight: 400;
  margin-bottom: 18px;
}

.hero-desc {
  font-size: 2em;
  max-width: 800px;
  margin: 0 auto;
  padding: 20px 0;

  p {
    font-size: 0.6em;
  }
}

/* ===== HEX FEATURES ===== */
@keyframes pulse {
  0% {
    transform: scale(1);
    filter: drop-shadow(0 0 0 rgba(0, 180, 255, 0));
  }

  40% {
    transform: scale(1.15);
    color: #394782(255, 255, 255, 1);
  }

  80% {
    transform: scale(1);
  }

  100% {
    transform: scale(1);
  }
}

.hex-row {
  margin-top: 150px;
  display: flex;
  justify-content: center;
  gap: 80px;
  margin-bottom: 80px;
}

.hex {
  width: 10%;
  text-align: center;
  /* animation: pulse 4.5s ease infinite; */
}

.hex img {
  margin: 0 auto 14px;
}

.hex span {
  font-size: 1.1em;
  opacity: 0.85;
  color: #394782;
}

/* .hex:nth-child(1) {
  animation-delay: 0s;
}

.hex:nth-child(2) {
  animation-delay: 1.5s;
}

.hex:nth-child(3) {
  animation-delay: 3s;
} */

/* ===== BOSKI BRUNCH BAR ===== */
.brunch {
  margin: 0 auto;
  margin-top: 150px;
  display: grid;
  grid-template-columns: 2fr 1fr;
  justify-content: center;
  align-items: center;
  gap: 30px;
  max-width: 1200px;
}

.brunch-left {
  width: 100%;
  position: relative;
  height: 106px;

  img {
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    width: 100%;
    height: 100%;
  }
}

.brunch-content {
  padding: 5px 0;
  padding-left: 60px;
  color: white;
  font-size: 1.2em;
  width: 100%;
}

.brunch-button {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  font-size: 1.3em;
  border: 3px solid red;
  border-radius: 10px;
  text-decoration: none;
  color: var(--blue);
  padding: 37px 85px;
  transition: 300ms;
}

.brunch-button-dot {
  width: 10px;
  height: 10px;
  background-color: red;
  border-radius: 50%;
}

.brunch-button:hover {
  color: white;
  background: red;

  .brunch-button-dot {
    background-color: white;
  }
}

.btn {
  padding: 12px 28px;
  border: 1px solid var(--blue);
  border-radius: 24px;
  font-size: 13px;
  color: var(--blue);
}

/* ===== EVENTS ===== */

.arrowLeft {
  cursor: pointer;
  position: absolute;
  left: -50px;  
  top: 35%;
  width: 100px;
  height: 175px;

  background-image: url("images/arrow.png");
  background-size: contain;
  background-repeat: no-repeat;
}

.arrowLeft:hover {
  background-image: url("images/arrow-hover.png");
}

.arrowRight {
  cursor: pointer;
  position: absolute;

  right: -50px;
  top: 35%;

  width: 100px;
  height: 175px;

  transform: rotate(180deg);

  background-image: url("images/arrow.png");
  background-size: contain;
  background-repeat: no-repeat;
}

.arrowRight:hover {
  background-image: url("images/arrow-hover.png");
}

.events-section {
  position: relative;
  max-width: 1200px;
  margin: 0 auto;
}

.events-wrapper {
  position: relative;
  max-width: 1200px;
  margin: 150px auto;
  padding: 20px 50px;
}

.events-track {
  display: flex;
  gap: 20px;
  transition: transform 0.4s ease;
}

.event {
  display: flex;
  justify-content: center;
  flex-direction: column;
}

.absoluteB {
  position: absolute;
  bottom: -50px;
  width: 100%;
  padding: 30px 0;
  font-weight: 600;
}

.absoluteB.disabled {
  pointer-events: none;
  border-color: darkgrey;
  background-color: #ebedf1;
  color: darkgrey;

  .brunch-button-dot {
    background-color: darkgrey;
  }
}

.event-content {
  padding: 20px;
}

.event img {
  width: 100%;
  display: block;
}

.events-track {
  position: relative;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
}

.event {
  display: flex;
  flex-direction: column;
  gap: 16px;
  position: relative;
  flex: 0 0 calc((100% - 40px) / 3);
}

.eventBox {
  overflow: hidden;
  min-height: 100%;
  flex: 0 0 calc((90% - 80px) / 3);

  box-sizing: border-box;
}

/* przeszłość */
.event-title-current {
  font-weight: 400;
  font-size: 1.4em;
  padding-bottom: 20px;
  border-bottom: 2px solid white;
}

.event-title-past {
  font-weight: 400;
  font-size: 1.4em;
  padding-bottom: 20px;
  border-bottom: 2px solid #3d468f;
}

.event-title-future {
  font-weight: 400;
  font-size: 1.4em;
  padding-bottom: 20px;
  border-bottom: 2px solid white;
}

.event.past {
  background: #dfe0e2;
  color: #3d468f;
}

.event-desc {
  margin-top: 20px;
}

/* aktualny */

.event.current {
  background: #3d468f;
  color: white;
}

/* przyszłość */

.event.future {
  background: #3d468f;
  color: white;
}

.btn-event.disabled {
  opacity: 0.4;
  pointer-events: none;
}

.event-logoBox {
  position: absolute;
  display: grid;
  grid-template-columns: 30% 30% 30%;
  justify-content: center;
  align-items: center;
  gap: 10px;
  padding: 0 5%;
  align-self: center;
  border-radius: 5px;
  img {
    border-radius: 0 !important;
  }
}

.btn-event {
  position: absolute;
  bottom: 40px;
  background-color: #882cb3;
  width: fit-content;
  padding: 10px 20px;
  margin: 0 auto;
  filter: drop-shadow(0);
  font-weight: 300;
  text-transform: uppercase;
  margin-top: 20px;
  width: 100%;
}

/* ===== BOTTOM GRADIENT ===== */
.bottom {
  display: flex;
  justify-content: center;
  text-align: center;
  position: relative;
  padding-bottom: 150px;
  padding: 100px 0;
  max-width: 1200px;
  margin: 0 auto;
}

.btn-bottom {
  width: 200px;
  height: 200px;

  background: url("images/arrow.png") center/contain no-repeat;

  transition: 300ms;
  cursor: pointer;
  user-select: none;
  text-decoration: none;

  z-index: 99999999999999;

  transform: rotate(90deg);

  overflow: visible;
}

.btn-bottom:hover {
  background: url("images/arrow-hover.png") center/contain no-repeat;
}

.mini-logo {
  width: 120px;
  position: absolute;
  left: -200px;
}

.footer {
  bottom: clamp(40px, 15vh, 180px);
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-right: 0;
  font-size: 1em;
  color: var(--blue);
  text-align: left;
}

/* kolumny */
.footer-side {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: left;

  width: calc(((100dvw - 540px) / 2) - 50px);
  max-width: 520px;
  min-width: 280px;
}

.footer-side.r {
  display: flex;
  flex-direction: column;
  align-items: right;
  text-align: right;

  width: calc(((100dvw - 540px) / 2) - 50px);
  max-width: 520px;
  min-width: 280px;
}

/* box na logo */
.footer-logoBox {
  display: flex;
  align-items: center;

  width: 100%;
  gap: 0;
}

.footer-logoBox.right {
  justify-content: end;
}

.footer-logoBox.right a {
  margin-top: 20px;
  margin-right: 20px;

  width: 25%;
  height: auto;
  max-width: 100%;

  img {
    width: 100%;
    height: auto;
  }
}

.footer-logoBox a {
  width: clamp(120px, 10vw, 200px);
  height: auto;
  max-width: 100%;

  img {
    width: 100%;
    height: auto;
  }
}

/* tekst */
.footer-text {
  width: 100%;
  text-align: left;
  overflow-wrap: break-word;
  word-break: normal;
}

/* spacing */
.mar-top {
  margin-top: 40px;
}

.top-logos {
  width: 80%;
  max-width: 1200px;

  display: grid;
  justify-content: space-between;
  grid-template-columns: 60% 40%;

  margin: 0 auto;
  padding: 0;

  img {
    width: 20%;
  }
}

.top-logos-right {
  display: flex;
  flex-direction: column;
}

.top-logos-right-topLogoFME {
  width: 100%;
  background-image: url(images/topLogoBG.png);
  background-size: cover;
  background-position: center;

  img {
    padding: 17%;
  }
}

.top-logos-right-title {
  margin: 0;
  padding: 14% 0;
  padding-left: 40px;
  font-size: 4.4em;
  color: #394782;
  font-weight: 400;
}

.top-logos-left {
  display: flex;
  justify-content: flex-end;
  align-items: flex-start;
  padding-top: 30%;
  width: 100%;
}

.bottom-logos {
  width: 100%;
  position: absolute;
  bottom: 200px;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 200px;

  img {
    width: 20%;
  }
}

.edate {
  margin-top: 30px;
  padding-bottom: 30px;
  font-size: 0.8em;
}
.DLCtopLOGO {
  width: 35%;
}
.footer-text.mar {
  text-align: right;
}
.arrowLeft.disabled {
  display: none;
}
.arrowRight.disabled {
  display: none;
}
/* ===== MOBILE ===== */

@media (max-width: 1500px) {
  .arrowRight {
    width: 50px;
    height: 88px;
  }

  .arrowLeft {
    width: 50px;
    height: 88px;
  }
}

@media (max-width: 1250px) {
  .events-wrapper {
    width: 90%;
  }
  .top-logos-right-title {
    font-size: 4em;
  }
  .arrowLeft{
    left: 20px;
  }
   .arrowRight{
    right: 20px;
  }
}

@media (max-width: 1200px) {
  .btn-event {
    margin-top: 5px;
    font-size: 0.8em;
    padding: 10px;
  }
  .hex {
    width: 13%;
  }


  .top-logos {
    img {
      width: 20%;
    }
  }

  .bottom-logos {
    padding: 0 100px;
  }
  .footer {
    padding-left: 0;
  }
}

@media (max-width: 1100px) {
}

@media (max-width: 1080px) {

  .hex {
    span {
      font-size: 0.9em;
    }
  }
  .brunch {
    font-size: 0.9em;
  }
  .top-logos {
    img {
      width: 20%;
    }
  }

  .bottom-logos {
    img {
      width: 20%;
    }

    padding: 0 100px;
  }
}

@media (max-width: 950px) {

  .absoluteB {
    font-size: 0.9em;
  }

  .top-logos-right-title {
    font-size: 3em;
  }
  .brunch-button{
    padding: 37px 0;
     width: 50%;
  }
}

@media (max-width: 900px) {
  .DLCtopLOGO {
    width: 50%;
  }
  .hero-logo {
    margin-bottom: 80px;

    img {
      width: 30%;
      height: auto;
    }
  }
  .hex {
    width: 15%;
  }
  h1 {
    margin-top: 100px;
    font-size: 42px;
    font-weight: 400;
    margin-bottom: 18px;
  }

  .hero-desc {
    font-size: 1.6em;

    p {
      font-size: 0.6em;
    }
  }

  .mini-logo {
    display: none;
  }

  .brunch {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    position: relative;
  }

  .btnBrunch {
    bottom: -100px;
  }
  .events-track {
    grid-template-columns: repeat(2, 1fr);
  }


}
@media (max-width: 800px) {

  .footer {
    padding-left: 20px;
    padding-right: 20px;
  }
}
@media (max-width: 750px) {
  .bottom-logos {
    img {
      width: 30%;
    }

    bottom: 50px;
    padding: 0 100px;
  }

  .btn-bottom {
    padding-left: 20px;
    width: 60px;
  }

  .footer {
  }
  .top-logos-right-title {
    font-size: 2.5em;
  }
  .brunch-left {
    width: 90%;
  }
  .brunch {
    flex-wrap: wrap;
  }
  .btn-bottom {
    position: absolute;
    bottom: -40px;
    left: 50%;
  }
}

@media (max-width: 650px) {
  h1 {
    font-size: 3em;
  }

}

@media (max-width: 600px) {
  .events-track {
    grid-template-columns: repeat(1, 1fr);
  }

  .top-logos-right-title {
    font-size: 36px;
  }
  .footer {
    flex-direction: column;
    gap: 20px;
  }
  .footer-side.r {
    text-align: center;
    justify-content: center;
    align-items: center;
    padding-top: 20px;
    padding-bottom: 30px;
  }
  .btn-bottom {
    left: 80%;
  }
  .footer-text.mar {
    text-align: center;
  }
  .footer-logoBox.right {
    justify-content: center;
    align-items: center;
  }
}

@media (max-width: 550px) {
  .top-logos {
    margin-top: -3%;
    padding-top: 0;

    img {
      width: 40%;
    }
  }

  .bottom-logos {
    padding: 0 40px;

    img {
      width: 30%;
    }
  }

  .hex-row {
    flex-direction: column;
    align-items: center;
    gap: 10px;
    margin-top: 0;
    margin-bottom: 10px;
  }

  .hex {
    width: 40%;
    margin-bottom: 20px;
  }

  .brunch-center {
    grid-template-columns: 1fr;
    font-size: 0.8em;

    img {
      display: none;
    }
  }
}
@media (max-width: 500px) {
  .top-logos-right-title {
    font-size: 26px;
  }
}
@media (max-width: 450px) {
  .footer-logoBox {
    flex-wrap: wrap;
  }
  .top-logos-right-title {
    padding-top: 40px;
    font-size: 20px;
  }
  .brunch-content {
    padding-left: 20px;
  }
}

@media (max-width: 400px) {
  .hero-logo {
    top: 20px;
    width: 40%;
    margin-bottom: 80px;

    img {
      width: 50%;
      height: auto;
    }
  }

  h1 {
    margin-top: 100px;
    font-size: 2em;
    font-weight: 400;
    margin-bottom: 18px;
  }

  .hero-desc {
    font-size: 1.4em;

    p {
      font-size: 0.6em;
    }
  }

  .mini-logo {
    display: none;
  }
}
.absoluteB.lower {
  bottom: -160px;
}


.agenda {
  font-size: 24px;
  font-weight: 400;
  margin-bottom: 30px;
  width: 100%;
  text-align: center;
}

.agenda-grid {
  max-width: 960px;
  margin: 120px auto;
  margin-top: 80px;
  display: flex;
  flex-direction: column;
  gap: 28px;
  font-size: 1.1em;
  line-height: 1.55;
}

/* pojedynczy wiersz */
.agenda-row {
  display: grid;
  grid-template-columns: 120px 1fr;
  gap: 28px;
  padding-left: 120px;
}

/* godzina */
.agenda-time {
  color: #394782;
  font-weight: 600;
  white-space: nowrap;
}

/* treść */
.agenda-content {
  color: #394782;
  font-size: 400;
}

/* tytuł */
.agenda-title {
  font-weight: 600;
  color: #394782;
  margin-bottom: 6px;
}

/* wyróżniony temat */
.agenda-topic {
  color: #ca1a1a;
  font-weight: 600;
  margin: 6px 0 10px;
  text-shadow: 0 0 8px rgba(214, 140, 255, 0.5);
}

/* notka */
.agenda-note {
  color: rgba(32, 90, 189, 0.65);
  font-size: 1em;
}

/* mobile */
@media (max-width: 720px) {
  .agenda-row {
    grid-template-columns: 1fr;
    padding-left: 0;
    border-left: none;
  }

  .agenda-time {
    font-size: 13px;
    opacity: 0.85;
  }
}

.imagebox {

  display: flex;
  width: 60%;
  margin: 0 auto;
    margin-top: 30px;
  gap: 10%;
  max-width: 100%;
  align-items: center;
  justify-content: center;
  padding: 0 30px;
  a {
    width: 30%;
  }
}

.partners {
  width: 100%;
  margin-top: 80px;
  text-align: center;
  font-size: 1.5em;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-bottom: 80px;
}
.info {
  margin: 0 auto;
  margin-top: 80px;
  max-width: 960px;
  text-align: center;
}
